<template>
  <v-container>
    <v-dialog v-model="uploadDialog" @click:outside="close" @keydown.esc="close" max-width="450px">
      <v-card>
        <v-card-title>
          <v-row justify="center"
            ><v-icon class="upload" x-large color="primary">mdi-file-upload</v-icon>
          </v-row>
        </v-card-title>
        <v-card-subtitle>
          <v-row justify="center">
            <span class="sub secondary--text">Adicionar Arquivo</span>
            <v-col cols="10">
              <v-row>
                <v-col class="iconPosition" cols="1">
                  <v-icon>mdi-paperclip</v-icon>
                </v-col>
                <v-col cols="10">
                  <v-file-input
                    autofocus
                    v-model="file"
                    prepend-icon=""
                    show-size
                    label="Selecionar Arquivo"
                  ></v-file-input>
                </v-col>
                <v-col cols="1"></v-col>
                <v-col class="iconPosition" cols="1"></v-col>
                <v-col cols="10">
                  <v-text-field v-model="name" label="Nome do Arquivo"></v-text-field>
                </v-col>
                <v-col cols="1"></v-col>
              </v-row>
            </v-col>
          </v-row>
        </v-card-subtitle>
        <v-card-text>
          <v-card-actions>
            <v-row justify="center">
              <v-btn color="primary" text @click="close">Cancelar</v-btn>

              <v-btn
                :disabled="!name || !file"
                color="primary"
                class="ml-4"
                elevation="0"
                @click="upload"
                >Upload</v-btn
              >
            </v-row>
          </v-card-actions>
        </v-card-text>
      </v-card>
    </v-dialog>
  </v-container>
</template>

<script>
export default {
  name: 'UploadFile',

  props: {
    uploadDialog: {
      type: Boolean,
      default: false,
    },
  },
  data: () => ({
    name: '',
    file: null,
  }),

  computed: {},
  watch: {},

  methods: {
    close() {
      this.$emit('closeUploadDialog')
      this.name = ''
      this.file = null
    },
    upload() {
      const fileName = this.name
        ? `${this.name}${this.file.name.slice(this.file.name.lastIndexOf('.'))}`
        : this.file.name
      this.$emit('uploadItem', { fileName, file: this.file })
      this.name = ''
      this.file = null
    },
  },
}
</script>
<style>
.deleteTitleFont {
  transform: scale(0.75);
}
.iconTitle {
  padding-top: 15px;
  transform: scale(1.5);
}
.upload {
  padding-top: 15px;
  padding-bottom: 25px;
  transform: scale(1.5);
}
.sub {
  font-size: 1.3em;
}
.iconPosition {
  padding-top: 35px;
}
</style>
